searchNodes=[{"doc":"Documentation for BrazilianDocuments.","ref":"BrazilianDocuments.html","title":"BrazilianDocuments","type":"module"},{"doc":"Format a CNPJ value. Examples iex&gt; BrazilianDocuments.format_cnpj(&quot;28603414938513&quot;) {:ok, &quot;28.603.414/9385-13&quot;} iex&gt; BrazilianDocuments.format_cnpj(&quot;57.120.949/4422-42&quot;) {:ok, &quot;57.120.949/4422-42&quot;} iex&gt; BrazilianDocuments.format_cnpj(&quot;91084416506&quot;) :error iex&gt; BrazilianDocuments.format_cnpj(&quot;123&quot;) :error iex&gt; BrazilianDocuments.format_cnpj(&quot;invalid&quot;) :error","ref":"BrazilianDocuments.html#format_cnpj/1","title":"BrazilianDocuments.format_cnpj/1","type":"function"},{"doc":"Format a CPF value. Examples iex&gt; BrazilianDocuments.format_cpf(&quot;21987198433&quot;) {:ok, &quot;219.871.984-33&quot;} iex&gt; BrazilianDocuments.format_cpf(&quot;219.871.984-33&quot;) {:ok, &quot;219.871.984-33&quot;} iex&gt; BrazilianDocuments.format_cpf(&quot;62653322064594&quot;) :error iex&gt; BrazilianDocuments.format_cpf(&quot;123&quot;) :error iex&gt; BrazilianDocuments.format_cpf(&quot;invalid&quot;) :error","ref":"BrazilianDocuments.html#format_cpf/1","title":"BrazilianDocuments.format_cpf/1","type":"function"},{"doc":"Generate a unformatted CNPJ. Examples iex&gt; cnpj = BrazilianDocuments.generate_cnpj() iex&gt; BrazilianDocuments.valid_cnpj?(cnpj) true","ref":"BrazilianDocuments.html#generate_cnpj/0","title":"BrazilianDocuments.generate_cnpj/0","type":"function"},{"doc":"Generate a unformatted CPF. Examples iex&gt; cnpj = BrazilianDocuments.generate_cpf() iex&gt; BrazilianDocuments.valid_cpf?(cnpj) true","ref":"BrazilianDocuments.html#generate_cpf/0","title":"BrazilianDocuments.generate_cpf/0","type":"function"},{"doc":"Check if value is a valid CNPJ. Examples iex&gt; BrazilianDocuments.valid_cnpj?(&quot;69.103.604/0001-60&quot;) true iex&gt; BrazilianDocuments.valid_cnpj?(&quot;41142260000189&quot;) true iex&gt; BrazilianDocuments.valid_cnpj?(&quot;411407182&quot;) false iex&gt; BrazilianDocuments.valid_cnpj?(&quot;11.111.111/1111-11&quot;) false","ref":"BrazilianDocuments.html#valid_cnpj?/1","title":"BrazilianDocuments.valid_cnpj?/1","type":"function"},{"doc":"Check if value is a valid CPF. Examples iex&gt; BrazilianDocuments.valid_cpf?(&quot;366.418.768-70&quot;) true iex&gt; BrazilianDocuments.valid_cpf?(&quot;36641876870&quot;) true iex&gt; BrazilianDocuments.valid_cpf?(&quot;366.418&quot;) false iex&gt; BrazilianDocuments.valid_cpf?(&quot;213.198.013-20&quot;) false iex&gt; BrazilianDocuments.valid_cpf?(&quot;2131201872781&quot;) false iex&gt; BrazilianDocuments.valid_cpf?(&quot;11111111111&quot;) false","ref":"BrazilianDocuments.html#valid_cpf?/1","title":"BrazilianDocuments.valid_cpf?/1","type":"function"},{"doc":"Ecto changeset integration.","ref":"BrazilianDocuments.Changeset.html","title":"BrazilianDocuments.Changeset","type":"module"},{"doc":"Validates a change is a valid CNPJ. Options :message - the message on failure, defaults to &quot;has invalid cnpj&quot; Examples validate_cnpj(changeset, :cnpj)","ref":"BrazilianDocuments.Changeset.html#validate_cnpj/3","title":"BrazilianDocuments.Changeset.validate_cnpj/3","type":"function"},{"doc":"Validates a change is a valid CPF. Options :message - the message on failure, defaults to &quot;has invalid cpf&quot; Examples validate_cpf(changeset, :cpf)","ref":"BrazilianDocuments.Changeset.html#validate_cpf/3","title":"BrazilianDocuments.Changeset.validate_cpf/3","type":"function"}]